/*
Pull-out Menu

Based on Son of Suckerfish Menu
http://www.htmldog.com/articles/suckerfish/
Modified to suit
*/
sfHover = function() 
{
	var navs = new Array('navigation1','navigation2');
	for(var n = 0;n < navs.length;n++)
	{
		var nav = dg(navs[n]);
		if(!nav)
			return;
		var sfEls = nav.getElementsByTagName("li");
		for (var i=0; i < sfEls.length; i++)
		{
			sfEls[i].onmouseover=function()
			{
				this.className += "sfhover";
			}
			sfEls[i].onmouseout=function()
			{
				this.className = this.className.replace(new RegExp("sfhover\\b"), "");
			}
		}
	}
}
if(window.attachEvent && navigator.userAgent.toLowerCase().indexOf('opera') == -1)
	window.attachEvent("onload", sfHover);
	
/*
Set the pop-out navigation links to work off onclick (as well as HREF)

Bug fix for Opera - href area with free space (no text chars) with items
behind it wasn't click-able.
*/
onclick_nav = function() 
{
	var navs = new Array('navigation2');
	for(var n = 0;n < navs.length;n++)
	{
		var nav = dg(navs[n]);
		if(!nav)
			return;
		var sfEls = nav.getElementsByTagName("A");
		for (var i=0; i < sfEls.length; i++)
		{
			sfEls[i].onclick = function()
			{
				location.href = this.href;
			}
		}
	}
}
if(window.attachEvent && navigator.userAgent.toLowerCase().indexOf('opera') != -1)
	window.attachEvent("onload", onclick_nav);
	
/*
Section Menu

Drill down navigation system
*/
var section_nav = 
{
	minW : 12, //If changing min/max, ensure there 
	maxW : 32, //are corresponsing bg images
	wdth : 20,
	wdth_mod : 0,

	set_width_mod : function()
	{
		if(navigator.userAgent.toLowerCase().indexOf('msie') != -1)
			section_nav.wdth_mod = 0.1;//Note the write width is -0.1 for WinIE so #SectionNav + #MainContent (etc.) widths < 100% when pixel rounding applied
	},
	
	set_up_width_tools : function()
	{
		var cnts = '<a href="javascript:section_nav.narrower()" id="SectionNavViewNarr" title="Make this column narrower"><span>Narrower</span></a>';
			cnts+= '<a href="javascript:section_nav.wider()" id="SectionNavViewWide" title="Make this column wider"><span>Wider</span></a>';
		dg('SectionNavView').innerHTML = cnts;
	},

	narrower : function()
	{
		section_nav.get_width();
		if(section_nav.wdth - 2 >= section_nav.minW)
		{
			section_nav.apply(section_nav.wdth - 2);
			dg('SectionNavViewNarr').blur();
		}
		section_nav.disable_width_ctrls();
	},

	wider : function()
	{
		section_nav.get_width();
		if(section_nav.wdth + 2 <= section_nav.maxW)
		{
			section_nav.apply(section_nav.wdth + 2);
			dg('SectionNavViewWide').blur();
		}
		section_nav.disable_width_ctrls();
	},
	
	get_width : function()
	{
		var wdth = cookies.get('sectionNav_width');
		if(!wdth || wdth > section_nav.maxW || wdth < section_nav.minW)
			wdth = 20;
		section_nav.wdth = wdth * 1;
	},
	
	disable_width_ctrls : function()
	{
		dg('SectionNavViewNarr').style.display = (section_nav.wdth <= section_nav.minW)? 'none':'inline';
		dg('SectionNavViewWide').style.display = (section_nav.wdth >= section_nav.maxW)? 'none':'inline';
	},
	
	apply : function(wdth)
	{
		dg('SectionNav').style.width = (wdth - section_nav.wdth_mod) + '%';
		dg('Page').style.backgroundImage = 'url(images/section_nav_bg'+wdth+'.png)';
		dg('Page').style.backgroundPosition = +wdth+'% 0';
		dg('MainContent').style.width = (100 - wdth) + '%';
		dg('TitleAndTopLevelNav').style.width = (100 - wdth) + '%';
		cookies.set('sectionNav_width',wdth);
		section_nav.wdth = wdth;
	},
	
	onload : function()
	{
		section_nav.set_width_mod();
		section_nav.get_width();
		var styles = '#SectionNav {width: '+ (section_nav.wdth - section_nav.wdth_mod) +'%;}';
			styles+= '#Page { background-image: url(images/section_nav_bg'+section_nav.wdth+'.png);';
			styles+= '        background-position: '+section_nav.wdth+'% 0; }';
			styles+= '#MainContent {width: '+(100 - section_nav.wdth)+'%;}';
			styles+= '#TitleAndTopLevelNav {width: '+(100 - section_nav.wdth)+'%;}';
		if(section_nav.wdth <= section_nav.minW)
			styles+= '#SectionNavViewNarr { display: none; }';
		if(section_nav.wdth >= section_nav.maxW)
			styles+= '#SectionNavViewWide { display: none; }';
		document.write('<style type="text/css" media="screen,projection">');
		document.write(styles);
		document.write('<\/style'+'>\n');//Deliberately broken last tag for winIE
	},
	
	open : function(nID)
	{
		dg('sn'+nID).className = dg('sn'+nID).className.replace(/ *closed/,'');
		dg('sn'+nID).className = dg('sn'+nID).className.replace(/ *open/,'') + ' open';
	},
	
	close : function(nID)
	{
		dg('sn'+nID).className = dg('sn'+nID).className.replace(/ *open/,'');
		dg('sn'+nID).className = dg('sn'+nID).className.replace(/ *closed/,'') + ' closed';
	},
	
	set_view : function(event)
	{
		if(this.parentNode.parentNode.id.indexOf('sn') == 0)
		{
			var nID = this.parentNode.parentNode.id.substring(2,this.parentNode.parentNode.id.length);
			if(this.parentNode.parentNode.className.indexOf('open') == -1)//If closed, open it
			{
				section_nav.open(nID);
				this.setAttribute('title','Close');
			}
			else//If open, close it
			{
				section_nav.close(nID);
				this.setAttribute('title','Open');
			}
		}
		this.blur();
		return false;
	},

	hilite : function(nID)
	{
		if(dg('sn'+nID))
		{
			dg('sn'+nID).className = dg('sn'+nID).className.replace(/ *hilite/,'')+' hilite';
			var cn = dg('sn'+nID).childNodes;
			for(var i = 0;i < cn.length;i++)
			{
				if(cn[i].tagName == 'SPAN')
				{
					cn[i].className = 'hilite';
					break;
				}
			}
		}
	},
	
	drill_down : function(nID)
	{
		if(dg('sn'+nID))
		{
			var n = dg('sn'+nID).parentNode.parentNode;
			while(n.id != 'SectionNavPad')
			{
				section_nav.open(n.id.substring(2,n.id.length));
				n = n.parentNode.parentNode;	
			}
		}
	}
}

if(document.getElementById)
{
	section_nav.onload();
	onload_handler.add("event_assign.by_class('A','sn','section_nav.set_view','onclick')");
	onload_handler.add('section_nav.set_up_width_tools()');
	if(isset('nID'))
	{
		onload_handler.add("section_nav.hilite(nID)");
		onload_handler.add("section_nav.drill_down(nID)");
	}
}