/*
Dynamic Styles

Additional stylesheets load dynamically based on some simple rules.
*/

var styles = '';
var ua_str = 'unknown';
var ua = 'unknown';
var os = 'unknown';

//Browser sniffer (add as required)
ua_str = navigator.userAgent.toLowerCase();
if(ua_str.indexOf('msie 5') != -1) // WinIE's are first as
	ua = 'winie5';                 // some browsers include
if(ua_str.indexOf('msie 6') != -1) // WinIE ua data (e.g. Opera)
	ua = 'winie6';
if(ua_str.indexOf('msie 7') != -1)
	ua = 'winie7';
if(ua_str.indexOf('firefox/1') != -1)
	ua = 'firefox1';
if(ua_str.indexOf('firefox/2') != -1)
	ua = 'firefox2';
if(ua_str.indexOf('safari/41') != -1)//reads like safari/417.8
	ua = 'safari2';
if(ua_str.indexOf('opera') != -1)
	ua = 'opera8';
if(ua_str.indexOf('mac') != -1)
	os = 'mac';

//Alternate Screen Sizes Styles
//Script to dynamically load additional CSS files for different presentations based on screen sizes.
var screen_size = 1024;
if(screen.width && screen.width < 1024)
	screen_size = 800;
if(screen_size == 800)
	styles += "@import url(http://outernode.pir.sa.gov.au/_designs/designs/squiz_design/pirsa_sectors2/stylesheets/includes/template_screen-800.css);\n";

//Styles Bug Fixes
//Script to fix CSS support bugs in various browsers. Add as required.
if(ua == 'winie6')
{
	styles += "@import url(http://outernode.pir.sa.gov.au/_designs/designs/squiz_design/pirsa_sectors2/stylesheets/includes/bug_fixes_winie6.css);\n";
}
else if(ua == 'winie7')
{
	styles += "@import url(http://outernode.pir.sa.gov.au/_designs/designs/squiz_design/pirsa_sectors2/stylesheets/includes/bug_fixes_winie7.css);\n";
}
else if(ua == 'firefox1')
{
	styles += "@import url(http://outernode.pir.sa.gov.au/_designs/designs/squiz_design/pirsa_sectors2/stylesheets/includes/bug_fixes_firefox1.css);\n";
}
else if(ua == 'firefox2')
{
	styles += "@import url(http://outernode.pir.sa.gov.au/_designs/designs/squiz_design/pirsa_sectors2/stylesheets/includes/bug_fixes_firefox2.css);\n";
}
else if(ua == 'safari')
{
	//None
}
if(ua == 'opera8')
{
	//None
}

//Output (ensure this outputs after the stylesheet LINK tags)
document.write('<style type="text/css" media="screen,projection">');
document.write(styles);
document.write('<\/style'+'>\n');//Deliberately broken last tag for winIE
